<template>
  <div class="video-box">
    <iframe allowfullscreen frameborder="0" class="video-box__frame" :src="media"/>
  </div>
</template>

<style lang="sass" scoped>
  @import ~@/styles/defaults/variables
  @import ~@/styles/defaults/mobileFirst
  .video-box
    width: 100%
    border-radius: 5px
    overflow: hidden
    cursor: pointer
    position: relative
    max-width: 100%
    display: flex
    justify-content: center
    &__frame
      height: 40vh
      max-height: 40vh
      width: 100%
      +media-min-lg()
        height: 30vh
        max-height: 30vh
        width: 90%

</style>

<script>
import fetchJsonp from 'fetch-jsonp';

export default {
  props: {
    media: {
      type: String,
      default: '',
    },
    index: {
      type: Number,
      default: 0,
    },
  },
  data() {
    return {
      thumbnail: '',
      title: '',
    };
  },
  methods: {
    vimeoLoadingThumb() {
      const url = `https://vimeo.com/api/v2/video/${
        this.videoId
      }.json?callback=showThumb`;
      fetchJsonp(url)
        .then(response => response.json())
        .then((items) => {
          const videoInfo = items[0];
          this.thumbnail = videoInfo.thumbnail_large;
          this.title = videoInfo.title;
        });
    },
  },
  computed: {
    videoId() {
      return this.media ? this.media.split('/').pop() : '';
    },
    width() {
      return this.$vuetify.breakpoint.mdAndDown ? '500' : '200px';
    },
    height() {
      return this.$vuetify.breakpoint.mdAndDown ? '400' : '200px';
    },
  },
  created() {
    this.vimeoLoadingThumb();
  },
};
</script>
